Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.bootstrap
Class DOMImplementationRegistry

    java.lang.Object
      |
      +--org.apache.xerces.dom3.bootstrap.DOMImplementationRegistry

public class DOMImplementationRegistry
extends java.lang.Object

Field Summary
`static java.lang.String` | `PROPERTY`

Method Summary
`void` | `addSource(DOMImplementationSource s)` Register an implementation.
`org.w3c.dom.DOMImplementation` | `getDOMImplementation(java.lang.String features)` Return the first registered implementation that has the desired features, or null if none is found.
`DOMImplementationList` | `getDOMImplementationList(java.lang.String features)` Return the list of all registered implementation that support the desired features.
`static DOMImplementationRegistry` | `newInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY

    public static final java.lang.String PROPERTY

Method Detail

### newInstance

    public static DOMImplementationRegistry newInstance()
                                                 throws java.lang.ClassNotFoundException,
                                                        java.lang.InstantiationException,
                                                        java.lang.IllegalAccessException

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation(java.lang.String features)
                                                       throws java.lang.ClassNotFoundException,
                                                              java.lang.InstantiationException,
                                                              java.lang.IllegalAccessException,
                                                              java.lang.ClassCastException

  Return the first registered implementation that has the desired features, or null if none is found.
  Parameters:
    `features` - A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal +Events 2.0"
  Returns:
    An implementation that has the desired features, or `null` if this source has none.

### getDOMImplementationList

    public DOMImplementationList getDOMImplementationList(java.lang.String features)
                                                   throws java.lang.ClassNotFoundException,
                                                          java.lang.InstantiationException,
                                                          java.lang.IllegalAccessException,
                                                          java.lang.ClassCastException

  Return the list of all registered implementation that support the desired features.
  Parameters:
    `features` - A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal +Events 2.0"
  Returns:
    A list of DOMImplementations that support the desired features.

### addSource

    public void addSource(DOMImplementationSource s)
                   throws java.lang.ClassNotFoundException,
                          java.lang.InstantiationException,
                          java.lang.IllegalAccessException

  Register an implementation.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.